Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cache
Class InstrumentedCache<K,V>

    java.lang.Object
      org.apache.cassandra.cache.InstrumentedCache<K,V>

Direct Known Subclasses:
  JMXInstrumentedCache

    public class InstrumentedCache<K,V>

extends java.lang.Object

Constructor Summary
`InstrumentedCache(int capacity)`

Method Summary
`void` | `clear()`
`V` | `get(K key)`
`int` | `getCapacity()`
`long` | `getHits()`
`V` | `getInternal(K key)`
`java.util.Set<K>` | `getKeySet()`
`double` | `getRecentHitRate()`
`long` | `getRequests()`
`int` | `getSize()`
`boolean` | `isCapacitySetManually()`
`void` | `put(K key, V value)`
`void` | `remove(K key)`
`void` | `setCapacity(int capacity)`
`void` | `updateCapacity(int capacity)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstrumentedCache

    public InstrumentedCache(int capacity)

Method Detail

### put

    public void put(K key,
                    V value)

### get

    public V get(K key)

### getInternal

    public V getInternal(K key)

### remove

    public void remove(K key)

### getCapacity

    public int getCapacity()

### isCapacitySetManually

    public boolean isCapacitySetManually()

### updateCapacity

    public void updateCapacity(int capacity)

### setCapacity

    public void setCapacity(int capacity)

### getSize

    public int getSize()

### getHits

    public long getHits()

### getRequests

    public long getRequests()

### getRecentHitRate

    public double getRecentHitRate()

### clear

    public void clear()

### getKeySet

    public java.util.Set<K> getKeySet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation